import SearchResults, { NHentaiSort, SearchHentai, NHLanguage } from './search_results';
export { SearchResults, NHentaiSort, SearchHentai, NHLanguage };
export declare type Hentai = {
    title: string;
    cleanTitle: string;
    id: number;
    url: string;
    cover: string;
    images: string[];
    thumbnails: string[];
    tags: string[];
    characters: string[];
    artists: string[];
    groups: string[];
    languages: string[];
    categories: string[];
    updated: number;
};
export declare class NHentai {
    static readonly nhentaiRegex: RegExp;
    /**
     * @throws if number is negative
     * @throws if url is falsey or does not match NHentai.nhentaiRegex
     */
    hentai(url: number | string): Promise<Hentai>;
    private tags;
    private contains;
    /**
     * Get a random hentai from nhentai.net
     *
     * @param english true if random hentai should be english
     * @returns a random hentai
     */
    random(english: boolean): Promise<Hentai>;
    search(query: string, sort?: NHentaiSort): Promise<SearchResults>;
}
//# sourceMappingURL=index.d.ts.map